import { ComponentProps } from '@equinor/fusion-react-utils';
import { SearchableDropdownElement, SearchableDropdownResolver } from '@equinor/fusion-wc-searchable-dropdown';
declare type ElementAttributes = Partial<Pick<SearchableDropdownElement, 'label' | 'placeholder' | 'variant' | 'meta' | 'selected' | 'initialText' | 'trailingIcon'>>;
declare type ElementEvents = {
    onAction?: (e: Event) => void;
};
declare type ElementResolver = {
    resolver?: SearchableDropdownResolver;
};
declare type ElementProps = ElementAttributes & ElementEvents & ElementResolver;
export declare type SearchableDropdownProps = ComponentProps<SearchableDropdownElement, ElementProps>;
export declare const SearchableDropdown: ({ children, ...props }: React.PropsWithChildren<ElementProps>) => JSX.Element;
export default SearchableDropdown;
//# sourceMappingURL=SearchableDropdown.d.ts.map